MeritocracyCombiner Class Reference

`#include <meritocracyCombiner.h>`

Inheritance diagram for MeritocracyCombiner:
Collaboration diagram for MeritocracyCombiner:

## Public Member Functions

| MeritocracyCombiner ()
virtual | ~MeritocracyCombiner ()
virtual Prediction | combine (const std::vector< Prediction > &)
Public Member Functions inherited from Combiner
| Combiner ()
virtual | ~Combiner ()

## Additional Inherited Members

Protected Member Functions inherited from Combiner
virtual Prediction | filter (const Prediction &prediction) const

## Detailed Description

MeritocracyCombiner.

Meritocracy is a system of government or other organization based on demonstrated ability (merit) and talent rather than by wealth (plutocracy), family connections (nepotism), class privilege, cronyism, popularity (as in democracy) or other historical determinants of social position and political power.

Definition at line 39 of file meritocracyCombiner.h.

## Constructor & Destructor Documentation

## MeritocracyCombiner()

MeritocracyCombiner::MeritocracyCombiner | ( |  | ) |

Definition at line 27 of file meritocracyCombiner.cpp.

## ~MeritocracyCombiner()

MeritocracyCombiner::~MeritocracyCombiner | ( |  | ) |

virtual

Definition at line 30 of file meritocracyCombiner.cpp.

## Member Function Documentation

## combine()

Prediction MeritocracyCombiner::combine | ( | const std::vector< Prediction > & | predictions | ) |

virtual

Combine predictions based on each suggestion's individual merit.

The merit associated to each suggestion is its probability. The higher the probability associated with a suggestion, the higher the merit.

Of course, this combination strategy might introduce some imbalance between different predictive methods that calculate probabilities substantially differently.

Implements Combiner.

Definition at line 44 of file meritocracyCombiner.cpp.

References Prediction::addSuggestion(), and Combiner::filter().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /build/presage-F72hLE/presage-0.9.1/src/lib/core/meritocracyCombiner.h
- /build/presage-F72hLE/presage-0.9.1/src/lib/core/meritocracyCombiner.cpp